stan::math::child_type< T_struct< T_child > > Struct Template Reference

Specialization for template classes / structs. More...

`#include <child_type.hpp>`

## Public Types

typedef T_child | type

## Detailed Description

### template<template< typename > class T_struct, typename T_child>
struct stan::math::child_type< T_struct< T_child > >

Specialization for template classes / structs.

See `test/unit/math/meta/child_type_test.cpp` for intended usage.

Template Parameters

  T_struct | type of parent.
  T_child | type of child type.

Definition at line 33 of file child_type.hpp.

## Member Typedef Documentation

## type

template<template< typename > class T_struct, typename T_child >

typedef T_child stan::math::child_type< T_struct< T_child > >::type

Definition at line 34 of file child_type.hpp.

The documentation for this struct was generated from the following file:

- stan/math/prim/scal/meta/child_type.hpp

[ Stan Home Page ] © 2011–2016, Stan Development Team.